Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class RoundRectangle2D.Double

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.RoundRectangle2D
                  |
                  +--java.awt.geom.RoundRectangle2D.Double

All Implemented Interfaces:
  Cloneable, Shape

Enclosing class:
  RoundRectangle2D

public static class RoundRectangle2D.Double
extends RoundRectangle2D

The `Double` class defines a rectangle with rounded corners all specified in `double` coordinates.

Inner classes inherited from class java.awt.geom.RoundRectangle2D
`RoundRectangle2D.Double, RoundRectangle2D.Float`

Field Summary
`double` | `archeight` The height of the arc that rounds off the corners.
`double` | `arcwidth` The width of the arc that rounds off the corners.
`double` | `height` The height of this `RoundRectangle2D`.
`double` | `width` The width of this `RoundRectangle2D`.
`double` | `x` The X coordinate of this `RoundRectangle2D`.
`double` | `y` The Y coordinate of this `RoundRectangle2D`.

Constructor Summary
`RoundRectangle2D.Double()` Constructs a new `RoundRectangle2D`, initialized to location (0.0, 0), size (0.0, 0.0), and corner arcs of radius 0.0.
`RoundRectangle2D.Double(double x, double y, double w, double h, double arcw, double arch)` Constructs and initializes a `RoundRectangle2D` from the specified coordinates.

Method Summary
`double` | `getArcHeight()` Returns the height of the arc that rounds off the corners.
`double` | `getArcWidth()` Returns the width of the arc that rounds off the corners.
`Rectangle2D` | `getBounds2D()` Returns the high precision bounding box of this `RoundRectangle2D`.
`double` | `getHeight()` Returns the height of this `RoundRectangle2D` in `double` precision.
`double` | `getWidth()` Returns the width of this `RoundRectangle2D` in `double` precision.
`double` | `getX()` Returns the X coordinate of this `RoundRectangle2D` in `double` precision.
`double` | `getY()` Returns the Y coordinate of this `RoundRectangle2D` in `double` precision.
`boolean` | `isEmpty()` Determines whether or not this `RoundRectangle2D` is empty.
`void` | `setRoundRect(double x, double y, double w, double h, double arcw, double arch)` Sets the location, size, and arc radii of this `RoundRectangle2D` to the specified `double` values.
`void` | `setRoundRect(RoundRectangle2D rr)` Sets this `RoundRectangle2D` to be the same as the specified `RoundRectangle2D`.

Methods inherited from class java.awt.geom.RoundRectangle2D
`contains, contains, getPathIterator, intersects, setFrame`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, getPathIterator, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public double x

  The X coordinate of this `RoundRectangle2D`.

### y

    public double y

  The Y coordinate of this `RoundRectangle2D`.

### width

    public double width

  The width of this `RoundRectangle2D`.

### height

    public double height

  The height of this `RoundRectangle2D`.

### arcwidth

    public double arcwidth

  The width of the arc that rounds off the corners.

### archeight

    public double archeight

  The height of the arc that rounds off the corners.

Constructor Detail

### RoundRectangle2D.Double

    public RoundRectangle2D.Double()

  Constructs a new `RoundRectangle2D`, initialized to location (0.0, 0), size (0.0, 0.0), and corner arcs of radius 0.0.

### RoundRectangle2D.Double

    public RoundRectangle2D.Double(double x,
                                   double y,
                                   double w,
                                   double h,
                                   double arcw,
                                   double arch)

  Constructs and initializes a `RoundRectangle2D` from the specified coordinates.
  Parameters:
    `x,` - the coordinates to which to set the newly constructed `RoundRectangle2D`
    `w` - the width to which to set the newly constructed `RoundRectangle2D`
    `h` - the height to which to set the newly constructed `RoundRectangle2D`
    `arcw` - the width of the arc to use to round off the corners of the newly constructed `RoundRectangle2D`
    `arch` - the height of the arc to use to round off the corners of the newly constructed `RoundRectangle2D`

Method Detail

### getX

    public double getX()

  Returns the X coordinate of this `RoundRectangle2D` in `double` precision.
  Overrides:
    `getX` in class `RectangularShape`
  Returns:
    the X coordinate of this `RoundRectangle2D`.

### getY

    public double getY()

  Returns the Y coordinate of this `RoundRectangle2D` in `double` precision.
  Overrides:
    `getY` in class `RectangularShape`
  Returns:
    the Y coordinate of this `RoundRectangle2D`.

### getWidth

    public double getWidth()

  Returns the width of this `RoundRectangle2D` in `double` precision.
  Overrides:
    `getWidth` in class `RectangularShape`
  Returns:
    the width of this `RoundRectangle2D`.

### getHeight

    public double getHeight()

  Returns the height of this `RoundRectangle2D` in `double` precision.
  Overrides:
    `getHeight` in class `RectangularShape`
  Returns:
    the height of this `RoundRectangle2D`.

### getArcWidth

    public double getArcWidth()

  Returns the width of the arc that rounds off the corners.
  Overrides:
    `getArcWidth` in class `RoundRectangle2D`
  Returns:
    the width of the arc that rounds off the corners of this `RoundRectangle2D`.

### getArcHeight

    public double getArcHeight()

  Returns the height of the arc that rounds off the corners.
  Overrides:
    `getArcHeight` in class `RoundRectangle2D`
  Returns:
    the height of the arc that rounds off the corners of this `RoundRectangle2D`.

### isEmpty

    public boolean isEmpty()

  Determines whether or not this `RoundRectangle2D` is empty.
  Overrides:
    `isEmpty` in class `RectangularShape`
  Returns:
    `true` if this `RoundRectangle2D` is empty; `false` othwerwise.

### setRoundRect

    public void setRoundRect(double x,
                             double y,
                             double w,
                             double h,
                             double arcw,
                             double arch)

  Sets the location, size, and arc radii of this `RoundRectangle2D` to the specified `double` values.
  Overrides:
    `setRoundRect` in class `RoundRectangle2D`
  Parameters:
    `x, y` - the coordinates to which to set the location of this `RoundRectangle2D`
    `w` - the width to which to set this `RoundRectangle2D`
    `h` - the height to which to set this `RoundRectangle2D`
    `arcw` - the width to which to set the arc of this `RoundRectangle2D`
    `arch` - the height to which to set the arc of this `RoundRectangle2D`

### setRoundRect

    public void setRoundRect(RoundRectangle2D rr)

  Sets this `RoundRectangle2D` to be the same as the specified `RoundRectangle2D`.
  Overrides:
    `setRoundRect` in class `RoundRectangle2D`
  Parameters:
    `rr` - the specified `RoundRectangle2D`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the high precision bounding box of this `RoundRectangle2D`.
  Returns:
    a `Rectangle2D` that is the bounding box of this `RoundRectangle2D`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.